# Uses of Interface
org.apache.qpid.proton.engine.impl.TransportInput

Packages that use TransportInput
Package
Description
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of TransportInput in org.apache.qpid.proton.engine.impl

Subinterfaces of TransportInput in org.apache.qpid.proton.engine.impl
Modifier and Type
Interface
Description
`interface`
`TransportWrapper`
Classes in org.apache.qpid.proton.engine.impl that implement TransportInput
Modifier and Type
Class
Description
`class`
`HandshakeSniffingTransportWrapper<T1 extends TransportWrapper,T2 extends TransportWrapper>`
`class`
`PlainTransportWrapper`
Methods in org.apache.qpid.proton.engine.impl with parameters of type TransportInput
Modifier and Type
Method
Description
`static int`
ByteBufferUtils.`pourAll(ByteBuffer source, TransportInput destinationTransportInput)`
Pours the contents of `source` into `destinationTransportInput`, calling the TransportInput many times if necessary.
`TransportWrapper`
SaslImpl.`wrap(TransportInput input, TransportOutput output)`
`TransportWrapper`
TransportLayer.`wrap(TransportInput input, TransportOutput output)`
Constructors in org.apache.qpid.proton.engine.impl with parameters of type TransportInput
Modifier
Constructor
Description
``
`PlainTransportWrapper(TransportOutput outputProcessor, TransportInput inputProcessor)`

## Uses of TransportInput in org.apache.qpid.proton.engine.impl.ssl

Subinterfaces of TransportInput in org.apache.qpid.proton.engine.impl.ssl
Modifier and Type
Interface
Description
`interface`
`SslTransportWrapper`
Classes in org.apache.qpid.proton.engine.impl.ssl that implement TransportInput
Modifier and Type
Class
Description
`class`
`SimpleSslTransportWrapper`
TODO close the SSLEngine when told to, and modify `SimpleSslTransportWrapper.wrapOutput()` and `SimpleSslTransportWrapper.unwrapInput()` to respond appropriately thereafter.
`class`
`SslHandshakeSniffingTransportWrapper`
SslHandshakeSniffingTransportWrapper
Methods in org.apache.qpid.proton.engine.impl.ssl with parameters of type TransportInput
Modifier and Type
Method
Description
`TransportWrapper`
SslImpl.`wrap(TransportInput inputProcessor, TransportOutput outputProcessor)`